API referencePlatformPlatform billing
Create or update a project-owned plan
Authorization
bearer_auth AuthorizationBearer <token>
In: header
Header Parameters
X-Project-Id*string
UUID of the project that scopes consumer accounts, devices, sessions, and VSpaces for the request.
Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/platform/v1/billing/plans" \ -H "X-Project-Id: 11111111-1111-1111-1111-111111111111" \ -H "Content-Type: application/json" \ -d '{ "code": "string", "entitlements": {}, "name": "string", "tier": 0 }'{ "active": true, "code": "string", "description": "string", "entitlements": { "allowed_protocols": [ "string" ], "audit_log_retention_days": 0, "bandwidth_reset_interval": "string", "compliance_bundle": [ "string" ], "dedicated_ip_count": 0, "derp_throughput_gb_per_month": 0, "dns_extra_records_max": 0, "dns_split_dns_max_routes": 0, "ephemeral_minutes_per_month": 0, "extras": { "property1": "string", "property2": "string" }, "max_acl_groups": 0, "max_acl_policies": 0, "max_bandwidth_gb": 0, "max_devices": 0, "max_exit_nodes": 0, "max_locations": 0, "max_seats": 0, "max_sessions": 0, "max_subnet_routers": 0, "max_vspaces": 0, "multi_hop_max_hops": 0, "priority_support": true, "server_pool_tag": "string", "sso_providers": [ "string" ] }, "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "project_id": "405d8375-3514-403b-8c43-83ae74cfe0e9", "tier": 0}